webpackHotUpdate("static/development/pages/[page].js",{

/***/ "./renderer/markdown.ts":
/*!******************************!*\
  !*** ./renderer/markdown.ts ***!
  \******************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return renderMarkdown; });
/* harmony import */ var markdown_it__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! markdown-it */ "./node_modules/markdown-it/index.js");
/* harmony import */ var markdown_it__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(markdown_it__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./plugins/collapsible */ "./renderer/plugins/collapsible.ts");
/* harmony import */ var _plugins_tabs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./plugins/tabs */ "./renderer/plugins/tabs.ts");



var md = markdown_it__WEBPACK_IMPORTED_MODULE_0___default()({
  breaks: true
}).use(__webpack_require__(/*! markdown-it-sub */ "./node_modules/markdown-it-sub/index.js")).use(__webpack_require__(/*! markdown-it-sup */ "./node_modules/markdown-it-sup/index.js")).use(__webpack_require__(/*! markdown-it-footnote */ "./node_modules/markdown-it-footnote/index.js")).use(__webpack_require__(/*! markdown-it-deflist */ "./node_modules/markdown-it-deflist/index.js")).use(__webpack_require__(/*! markdown-it-abbr */ "./node_modules/markdown-it-abbr/index.js")).use(__webpack_require__(/*! markdown-it-anchor */ "./node_modules/markdown-it-anchor/index.js")).use(__webpack_require__(/*! markdown-it-table-of-contents */ "./node_modules/markdown-it-table-of-contents/index.js")).use(__webpack_require__(/*! markdown-it-container */ "./node_modules/markdown-it-container/index.js"), 'image-right').use(__webpack_require__(/*! markdown-it-container */ "./node_modules/markdown-it-container/index.js"), 'align-center').use(_plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["default"]).use(_plugins_tabs__WEBPACK_IMPORTED_MODULE_2__["default"]);
function renderMarkdown(meta, content) {
  md.renderer.rules.table_open = function () {
    return '<div class="table"><table>';
  };

  md.renderer.rules.table_close = function () {
    return '</table></div>';
  };

  md.renderer.rules.collapsible_close = function (tokens, index) {
    var content = tokens[index].content;
    return content.closeType === _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["CloseTypes"].top ? '</div></div>' : "</div><div class=\"collapsible__close\">".concat(content.closeText, "</div></div>");
  };

  md.renderer.rules.collapsible_open = function (tokens, index) {
    var content = tokens[index].content;
    var closeType = content.closeType;
    var collapsibleBlock = "<div class=\"collapsible\"><div class=\"collapsible__open\">".concat(content.openText, "</div>");

    if (closeType === _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["CloseTypes"].top || closeType === _plugins_collapsible__WEBPACK_IMPORTED_MODULE_1__["CloseTypes"].both) {
      collapsibleBlock += "<div class=\"collapsible__close\">".concat(content.closeText, "</div>");
    }

    return collapsibleBlock + '<div class="collapsible__content">';
  };

  md.renderer.rules.tabview_open = function () {
    return '<div class="tabs">';
  };

  md.renderer.rules.tabview_close = function () {
    return '</div>';
  };

  md.renderer.rules.tab_close = function () {
    return '</div></div>';
  };

  md.renderer.rules.tab_open = function (tokens, index) {
    var title = tokens[index].content;
    return "<div class=\"tab\"><div class=\"tab__title\">".concat(title, "</div><div class=\"tab__content\">");
  };

  return md.render(content);
}

/***/ })

})
//# sourceMappingURL=[page].js.d306a88f1bd45a54d43d.hot-update.js.map